package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 用户学校收藏对象 mall_member_collect_school
 * 用于我的-收藏学校 列表 展示
 * @author ruoyi
 * @date 2023-10-26
 */
public class MallMemberCollectSchoolVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校收藏表id */

    private Long collectSchoolId;
    /** 用户id */

    private Long id;

    /** 批次id */

    private Long batchId;

    /** 学校id */

    private Long schoolId;

    /** 学校名 */
    private String schoolName;

    /** 学校图标 */
    private String schoolIcon;

    /** 学校类型名（例：综合类、理工类等）*/
    private String configTypeName;

    /** 办学机构：0-公办，1-民办，3-中外合作办学，4其他 */
    private String schoolInstitution;

    /** 主管部门（教育部、各地市） */
    private String competentDepartment;

    /** 省份名 */
    private String provinceName;

    /** 城市名 */
    private String cityName;

    /** 标签id集合 */
    private String tags;

    /** 标签名集合 */
    private List<String> tagList;
    /** 录取率 */
    private BigDecimal acceptRate;

    /** 录取率百分比展示 */
    private String showAcceptRate;



    /** 创建时间 */

    private String createAt;

    /** 更新时间 */

    private String updateAt;

    /** 删除标记(0-正常,1-删除) */

    private String delFlag;


    public Long getCollectSchoolId() {
        return collectSchoolId;
    }

    public void setCollectSchoolId(Long collectSchoolId) {
        this.collectSchoolId = collectSchoolId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolIcon() {
        return schoolIcon;
    }

    public void setSchoolIcon(String schoolIcon) {
        this.schoolIcon = schoolIcon;
    }

    public String getConfigTypeName() {
        return configTypeName;
    }

    public void setConfigTypeName(String configTypeName) {
        this.configTypeName = configTypeName;
    }

    public String getSchoolInstitution() {
        return schoolInstitution;
    }

    public void setSchoolInstitution(String schoolInstitution) {
        this.schoolInstitution = schoolInstitution;
    }

    public String getCompetentDepartment() {
        return competentDepartment;
    }

    public void setCompetentDepartment(String competentDepartment) {
        this.competentDepartment = competentDepartment;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<String> getTagList() {
        return tagList;
    }

    public void setTagList(List<String> tagList) {
        this.tagList = tagList;
    }

    public BigDecimal getAcceptRate() {
        return acceptRate;
    }

    public void setAcceptRate(BigDecimal acceptRate) {
        this.acceptRate = acceptRate;
    }

    public String getShowAcceptRate() {
        return showAcceptRate;
    }

    public void setShowAcceptRate(String showAcceptRate) {
        this.showAcceptRate = showAcceptRate;
    }

    public String getCreateAt() {
        return createAt;
    }

    public void setCreateAt(String createAt) {
        this.createAt = createAt;
    }

    public String getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(String updateAt) {
        this.updateAt = updateAt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return "MallMemberCollectSchoolVo{" +
                "collectSchoolId=" + collectSchoolId +
                ", id=" + id +
                ", batchId=" + batchId +
                ", schoolId=" + schoolId +
                ", schoolName='" + schoolName + '\'' +
                ", schoolIcon='" + schoolIcon + '\'' +
                ", configTypeName='" + configTypeName + '\'' +
                ", schoolInstitution='" + schoolInstitution + '\'' +
                ", competentDepartment='" + competentDepartment + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", cityName='" + cityName + '\'' +
                ", tags='" + tags + '\'' +
                ", tagList=" + tagList +
                ", acceptRate=" + acceptRate +
                ", showAcceptRate='" + showAcceptRate + '\'' +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
